# all files / ol/format/ gml.js

100% Statements 5/5
100% Branches 0/0
100% Functions 0/0
100% Lines 5/5

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    431×

    1×

    1×

    1×

    1×
     goog.provide('ol.format.GML');

    goog.require('ol.format.GML3');

    /**
     * @classdesc
     * Feature format for reading and writing data in the GML format
     * version 3.1.1.
     * Currently only supports GML 3.1.1 Simple Features profile.
     *
     * @constructor
     * @param {olx.format.GMLOptions=} opt_options
     *     Optional configuration object.
     * @extends {ol.format.GMLBase}
     * @api
     */
    ol.format.GML = ol.format.GML3;

    /**
     * Encode an array of features in GML 3.1.1 Simple Features.
     *
     * @function
     * @param {Array.<ol.Feature>} features Features.
     * @param {olx.format.WriteOptions=} opt_options Options.
     * @return {string} Result.
     * @api
     */
    ol.format.GML.prototype.writeFeatures;

    /**
     * Encode an array of features in the GML 3.1.1 format as an XML node.
     *
     * @function
     * @param {Array.<ol.Feature>} features Features.
     * @param {olx.format.WriteOptions=} opt_options Options.
     * @return {Node} Node.
     * @api
     */
    ol.format.GML.prototype.writeFeaturesNode;